Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZBulkMailUserSubscripter Class Reference

## Public Member Functions
| __construct ( $user, $categoryID=false)
| setUser ( $user)
| user ()
| categoryID ()
| subscriptions ( $asObjects=true)
| subscribe ( $categoryID)
| unsubscribe ( $category)
| eMail ()
| addDelay ( $category, $delay)

## Public Attributes
| $ID
| $CategoryID
| $User

## Detailed Description

! eZBulkMail eZBulkMailUserSubscription documentation.

Example code:

Definition at line 41 of file ezbulkmailusersubscripter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBulkMailUserSubscripter::__construct | ( |  | $user,
|  |  | $categoryID = `false`
| ) |  |

Definition at line 45 of file ezbulkmailusersubscripter.php.

References $categoryID, $user, and setUser().

## Member Function Documentation

## ◆ addDelay()

eZBulkMailUserSubscripter::addDelay | ( |  | $category,
|  |  | $delay
| ) |  |

Unsubscribes this user from the given category. If the supplied argument is true, the user is unsubscibed from all categories.

Definition at line 165 of file ezbulkmailusersubscripter.php.

References $db, $res, $userID, and eZDB\globalDatabase().

## ◆ categoryID()

eZBulkMailUserSubscripter::categoryID | ( |  | ) |

Returns the category id.

Definition at line 71 of file ezbulkmailusersubscripter.php.

References $CategoryID.

## ◆ eMail()

eZBulkMailUserSubscripter::eMail | ( |  | ) |

Returns the email of the given user.

Definition at line 152 of file ezbulkmailusersubscripter.php.

## ◆ setUser()

eZBulkMailUserSubscripter::setUser | ( |  | $user | ) |

Definition at line 55 of file ezbulkmailusersubscripter.php.

References $user.

Referenced by __construct().

## ◆ subscribe()

eZBulkMailUserSubscripter::subscribe | ( |  | $categoryID | ) |

Subscribes this address to a category.

Definition at line 96 of file ezbulkmailusersubscripter.php.

References $categoryID, $db, $result, $userID, and eZDB\globalDatabase().

## ◆ subscriptions()

eZBulkMailUserSubscripter::subscriptions | ( |  | $asObjects = `true` | ) |

Returns all the categories that this user is subscribed to as an array of eZBulkMailCategory objects. If you just want the ID's supply false as the first argument.

Definition at line 79 of file ezbulkmailusersubscripter.php.

References $db, $result, $userID, and eZDB\globalDatabase().

## ◆ unsubscribe()

eZBulkMailUserSubscripter::unsubscribe | ( |  | $category | ) |

Unsubscribes this user from the given category. If the supplied argument is true, the user is unsubscibed from all categories.

Definition at line 134 of file ezbulkmailusersubscripter.php.

References $category, $categoryID, $db, $userID, and eZDB\globalDatabase().

## ◆ user()

eZBulkMailUserSubscripter::user | ( |  | ) |

Definition at line 63 of file ezbulkmailusersubscripter.php.

References $User.

## Member Data Documentation

## ◆ $CategoryID

eZBulkMailUserSubscripter::$CategoryID

Definition at line 184 of file ezbulkmailusersubscripter.php.

Referenced by categoryID().

## ◆ $ID

eZBulkMailUserSubscripter::$ID

Definition at line 183 of file ezbulkmailusersubscripter.php.

## ◆ $User

eZBulkMailUserSubscripter::$User

Definition at line 185 of file ezbulkmailusersubscripter.php.

Referenced by user().

The documentation for this class was generated from the following file:

- ezbulkmailusersubscripter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.